Gibt es ein neues SDK für Plugins?

Brauchen Sie Hilfe beim Benutzen eines Plugins?

Moderator: Forum-Team

Gibt es ein neues SDK für Plugins?

Beitragvon hillebrj » 3. Jan 2010, 18:12

Hallo Zusammen,

gibt es ein neues SDK für die Plugin-Programmierung? Wenn ich Spami starte, dann heißt es, daß mein WhiteString Filter keine öffentliche CreatePlugin-Funktion definiert.

Mir ist diese Funktion unbekannt. Gibt es Infos darüber?

Mit freundlichen Grüßen
hillebrj
hillebrj
Power-User
Power-User
 
Beiträge: 7
Registriert: 26. Jul 2009, 07:48

Re: Gibt es ein neues SDK für Plugins?

Beitragvon anbuva » 3. Jan 2010, 18:29

Hallo hillebrj!

ich bin mir nicht sicher, was Du jetzt genau vorhast. Möchtest Du ein PlugIn programmieren oder geht es jetzt nur um diese Meldung beim Starten vom Spamihilator?

Gruß
anbuva
Benutzeravatar
anbuva
Administrator
Administrator
 
Administration
Beta-Tester
Forum-Team
 
Beiträge: 8403
Registriert: 1. Sep 2004, 12:58
Wohnort: Zuhause

Re: Gibt es ein neues SDK für Plugins?

Beitragvon hillebrj » 4. Jan 2010, 17:48

Hallo,

es ist so:

Ich hatte eine gutlaufende Spami-Installation der Vorgänger-Version. Wenn ich jetzt die aktuelle (52-ziger) Version starte, dann bekomme ich eine Fehlermeldung, die mir sagt, daß im WhiteString-Filter die öffentliche Funktion CreatePlugin nicht implementiert ist.

Dieselbe Meldung gibt es bei von mir programmierten Filtern. Im Manual des SDKs 2.6 ist von solch einer Funktion nicht die Rede, in den entsprechenden Beispielen auch nicht.

Leider funktionieren aber Plugins ohne diese Funktion nicht mehr.

Daher hätte ich gerne Infos darüber, damit ich meine Spami-Installation wieder so einrichten kann, wie ich sie hatte. Der WhiteString-Filter ist für mich SEHR wichtig. Wenn der nicht mehr geht, dann mag es sein, daß ich mich von Spami verabschieden muss. Ich würde mir auch selbst einen WhiteString-Filter bauen, aber auch dafür benötige ich die Infos über CreatePlugin.

Für jede Hilfe wäre ich sehr dankbar!

Mit freundlichen Grüßen
hillebrj
hillebrj
Power-User
Power-User
 
Beiträge: 7
Registriert: 26. Jul 2009, 07:48

Re: Gibt es ein neues SDK für Plugins?

Beitragvon anbuva » 4. Jan 2010, 18:36

Hallo hillebrj!

dazu kann ich Dir leider nichts mitteilen. Vielleicht wissen andere hier mehr. Abgesehen davon ist der Whitestring nicht mehr kompatibel zu den aktuellen Spami-Versionen und einer Mehrbenutzerfähigkeit.

Ich kann Dein Anliegen aber durchaus verstehen. Ich selber hatte den Filter auch sehr gerne im Einsatz. Dafür gibt es jetzt aber den IMP-Filter :D , der wieder die Funktionen eines Whitestring für mich darstellt und übernimmt. Der IMP-Filter leistet sogar noch bessere Arbeit, als der alte Whitestring.
Du siehst, es gibt keinen Grund, den Spamihilator nicht mehr zu nutzen. :wink:

Gruß
anbuva
Benutzeravatar
anbuva
Administrator
Administrator
 
Administration
Beta-Tester
Forum-Team
 
Beiträge: 8403
Registriert: 1. Sep 2004, 12:58
Wohnort: Zuhause

Re: Gibt es ein neues SDK für Plugins?

Beitragvon michel » 4. Jan 2010, 20:10

Hallo,

bitte Plugins immer im Ordner "plugins" platzieren und nicht unter "plugins3". Falls "plugins" nicht existiert, musst du ihn ggf. anlegen.

Gruß
Michel
Chuck Norris doesn't kill Spam. He uses Spamihilator! ;-)
Benutzeravatar
michel
Administrator
Administrator
 
Administration
Beta-Tester
Forum-Team
Plugin-Programmierer
 
Beiträge: 4335
Registriert: 22. Mär 2003, 01:16
Wohnort: Buseck

Re: Gibt es ein neues SDK für Plugins?

Beitragvon hillebrj » 4. Jan 2010, 22:02

Hallo michel,

ich habe das so gemacht (Plugins ins Verzeichnis plugin) und das funktioniert!!

Vielen Dank, damit ist meine Installation gerettet!

Viele Grüße
hillebrj
hillebrj
Power-User
Power-User
 
Beiträge: 7
Registriert: 26. Jul 2009, 07:48


Zurück zu Plugins: Hilfe

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 2 Gäste

 industrious-southeast